Subject: [Dime] Diameter Prefix Delegation Application

From: [email-masked]
Date: Fri, 13 Jun 2008 10:08:46 +0200

Hi all,

Is there already a draft regarding a new Diameter Prefix Delegation application? Could somebody provide me with some links to related drafts, please? I have already read the problem statement draft (http://www.ietf.org/internet-drafts/draft-sarikaya-dime-prefix-delegation-ps-01.txt) but I couldn't find further information. 

The Diameter Prefix Delegation application is a very interesting thing, and I’m thinking about to set up a own draft on this topic.

Best regards,

Rafael

-- 
Ist Ihr Browser Vista-kompatibel? Jetzt die neuesten 
Browser-Versionen downloaden: http://www.gmx.net/de/go/browser
_______________________________________________
DiME mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dime

---

From: "Glen Zorn" <[email-masked]>
Date: Fri, 13 Jun 2008 18:34:25 +0700

[email-masked] writes:

> Hi all,
> 
> Is there already a draft regarding a new Diameter Prefix Delegation
> application? Could somebody provide me with some links to related
> drafts, please? I have already read the problem statement draft
> (http://www.ietf.org/internet-drafts/draft-sarikaya-dime-prefix-
> delegation-ps-01.txt) but I couldn't find further information.

Looking over the referenced draft, it seems AFAICT to be an inappropriate use of Diameter.  I can't find any evidence of actual AAA usage or even a user -- it seems that the author wants to use Diameter just as a transport for arbitrary prefixes (I'm certainly willing to be corrected on that point, however).  I'm led to believe this because of the following statement "[RFC4818] designs Delegated-IPv6-Prefix attribute which is used for delegating prefixes.  However in [RFC4818], the recommended usage scenario is AAA server configures the delegating server with some prefixes and then DHCP Prefix Delegation [RFC3633] can be used to delegate these prefixes to the requesting router.  Also Delegated-IPv6-Prefix carries a number of prefixes only.  Lifetime values for each prefix can not be carried."  I can't think of a reason, if the delegated prefixes were for a human user, why the lifetime of the prefixes would not be just as long as the user session.

> 
> The Diameter Prefix Delegation application is a very interesting thing,
> and I’m thinking about to set up a own draft on this topic.
> 
> Best regards,
> 
> 
> Rafael
> 
> --

---

From: "Julien Bournelle" <[email-masked]>
Date: Fri, 13 Jun 2008 14:29:33 +0200

hi all,

 I second Glen's comments.

 Moreover, after a quick look to the Problem Statement draft, I think
that for section 4.1 (AR) and section 4.2 you can delegate prefix
during the network access authentication/authorization phase. For NEMO
case, I thought that DHCPv6
or even IKEv2 may be used.

 Regards,

 Julien

On Fri, Jun 13, 2008 at 1:34 PM, Glen Zorn <[email-masked]> wrote:
>> and I'm thinking about to set up a own draft on this topic.
>>
>> Best regards,
>>
>>
>> Rafael
>>
>> --

---

From: Frank Xia <[email-masked]>
Date: Fri, 13 Jun 2008 10:42:39 -0500

Hi  Glen

Thank for your comments,  and we will consider
your concerns when updating.

As to prefix management, there are two ways in
the industry (3GPP/3GPP2/WiMAX), that is,
DHCP(RFC3633) and AAA.

However, there is not a whole prefix delegation
solution which is supposed to include
allocating/renewing/releasing operation.
Even worse, no current AAA prefix solution
supports  IPv6 renumbering.

So we propose the Diameter prefix manage
application to deal with the problem.

Please aslo refer to my inline reply..

BR
Frank

----- Original Message ----- 
From: "Glen Zorn" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Friday, June 13, 2008 6:34 AM
Subject: RE: [Dime] Diameter Prefix Delegation Application

> delegation-ps-01.txt) but I couldn't find further information.

Looking over the referenced draft, it seems AFAICT to be an inappropriate 
use of Diameter.  I can't find any evidence of actual AAA usage or even a 
user -- it seems that the author wants to use Diameter just as a transport 
for arbitrary prefixes (I'm certainly willing to be corrected on that point, 
however).
Frank=>The Diameter application also includes allocating/renewing/releasing 
prefix operation.

I'm led to believe this because of the following statement "[RFC4818] 
designs Delegated-IPv6-Prefix attribute which is used for delegating 
prefixes.  However in [RFC4818], the recommended usage scenario is AAA 
server configures the delegating server with some prefixes and then DHCP 
Prefix Delegation [RFC3633] can be used to delegate these prefixes to the 
requesting router.  Also Delegated-IPv6-Prefix carries a number of prefixes 
only.  Lifetime values for each prefix can not be carried."  I can't think 
of a reason, if the delegated prefixes were for a human user, why the 
lifetime of the prefixes would not be just as long as the user session.
Frank=>If the user is always on line  and it is also necessary to
renumber user address because of  resource optimization,
regulation policy and so on, it is better to decouple user's session time
and user's IP address lifetime

---

From: Frank Xia <[email-masked]>
Date: Fri, 13 Jun 2008 10:58:53 -0500

Hi Julien

Thank for your comments!

Just as IPv4 address management needs not only
DHCPv4 solution but also AAA mechanisms,
IPv6 prefix management as an extension of
address mangement also needs  corresponding
facilitis.

Please also check my inline reply...

BR
Frank

----- Original Message ----- 
From: "Julien Bournelle" <[email-masked]>
To: "Glen Zorn" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, June 13, 2008 7:29 AM
Subject: Re: [Dime] Diameter Prefix Delegation Application

> or even IKEv2 may be used.
Frank=>As a complement of  NEMO DHCPv6 soution,
Diameter can also be used for prefix management.
>From AAA perspective, IMHO, prefix mangement is a
kind of authorization which is possibly decoupled
from authentication.    For example, prefix lifetime renew is
not supposed to take place during authentication stage.

>> user -- it seems that the author wants to use Diameter just as a 
>> transport for arbitrary prefixes (I'm certainly willing to be corrected 
>> on that point, however).  I'm led to believe this because of the 
>> following statement "[RFC4818] designs Delegated-IPv6-Prefix attribute 
>> which is used for delegating prefixes.  However in [RFC4818], the 
>> recommended usage scenario is AAA server configures the delegating server 
>> with some prefixes and then DHCP Prefix Delegation [RFC3633] can be used 
>> to delegate these prefixes to the requesting router.  Also 
>> Delegated-IPv6-Prefix carries a number of prefixes only.  Lifetime values 
>> for each prefix can not be carried."  I can't think of a reason, if the 
>> delegated prefixes were for a human user, why the lifetime of the 
>> prefixes would not be just as long as the user session.
>>
>>>

---

From: "Julien Bournelle" <[email-masked]>
Date: Sat, 14 Jun 2008 16:25:31 +0200

Hi Frank,

 see inline,

> address mangement also needs  corresponding

 we already have some facilities. That was the point of my mail.

 see below...

> not supposed to take place during authentication stage.

 IMHO, the prefix lifetime is tied to the session lifetime. I don't see
why we would change the allocated prefix during the session. This would
break all connections. Maybe you have a specific scenario in mind ?

 Regards,

 Julien

---

From: "Frank Xia" <[email-masked]>
Date: Sat, 14 Jun 2008 13:51:59 -0500

Hi Julien

Please check my long  inline relpy :) ...

BR
Frank

----- Original Message ----- 
From: "Julien Bournelle" <[email-masked]>
To: "Frank Xia" <[email-masked]>
Cc: "Glen Zorn" <[email-masked]>; <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Saturday, June 14, 2008 9:25 AM
Subject: Re: [Dime] Diameter Prefix Delegation Application

> we already have some facilities. That was the point of my mail.

Frank=>Diameter Prefix Delegation application  is a
complementary not exclusive solution to
the current existing facilitis.  It is useful for a variety of deployment
scenarios which are possible beyond our reasoning imagination.

Here is my argument,  why do we need AAA solution for IPv4
address management while there is a DHCP method?

> break all connections. Maybe you have a specific scenario in mind ?
Frank=>As for concept session, probably we should differient it's
meaning on different layers.  In the context  we are discussing,
I would like to introduce IP session and application session.
IP session simply means IP connectivity which is established
after successful authentication. Application session,
such as SKYPE, should be established on demand.

When you are talking about that "prefix lifetime is tied to
the session lifetime", I think this session is IP session.
When you are talking about that "This would break all connections",
I think that the connections mean application sessions.

It makes sense that changing an IP address in one IP session.
A DHCPv6 server can triger a client to re-configure it ip address.

A operator  wants to renumber it networks( although
this is not a frequent practice). All the subscribers should
replace their old prefixes by new advertised prefixes.
During renumbering time(a couple of hours or days),
old application sessions continue using old IP addresses
while new application sessions begin to use new IP addresses

The following are some references on renumbering.
It is probably helpful to make myself clear.

RFC 1916: Enterprise Renumbering: Experience and Information Solicitation
RFC2071: Network Renumbering Overview: Why would I want it and what is it 
anyway?
RFC 2072: Router Renumbering Guide
RFC2874:  DNS Extensions to Support IPv6 Address Aggregation and Renumbering 
.
RFC2894:  Router Renumbering for IPv6
RFC4076:  Renumbering Requirements for Stateless Dynamic Host Configuration 
Protocol for IPv6 (DHCPv6)
RFC4192: Procedures for Renumbering an IPv6 Network without a Flag Day

Have a nice weekend and enjoy Euro Soccer Championship!

---

From: "Glen Zorn" <[email-masked]>
Date: Sun, 15 Jun 2008 14:48:15 +0700

> address management while there is a DHCP method?

What do you mean by "IPv4 address management"?  It is possible for both
RADIUS & Diameter to assign IPv4 addresses to user machines but that is
hardly "management" as I understand the term.  Are there other capabilities
of which I am unaware?

...

> replace their old prefixes by new advertised prefixes.

Just my point: Diameter is _not_ a general purpose network management
protocol & shouldn't become one.

> The following are some references on renumbering.

The question isn't whether renumbering is a problem, it's if Diameter is the
right solution to that problem.  Just because you have a hammer doesn't mean
that everything is a nail :-)...

...

---

From: Frank Xia <[email-masked]>
Date: Mon, 16 Jun 2008 10:43:28 -0500

Hi Glen

Please check my inline reply...

BR
Frank

----- Original Message ----- 
From: "Glen Zorn" <[email-masked]>
To: "'Frank Xia'" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>; 
"'Julien Bournelle'" <[email-masked]>
Sent: Sunday, June 15, 2008 2:48 AM
Subject: RE: [Dime] Diameter Prefix Delegation Application

> hardly "management" as I understand the term.  Are there other 
Frank=>When a user attaches a network,  a AAA server  allocates (dynamically 
or
statically) a IPv4 address to the user.   When the uses detaches the 
networks,
the AAA server reclaims the address.  IMHO, the AAA server DOES manage
user's  address pool.

Just as your concerns,  AAA address mangement is NOT capable as the DHCP
solution, such as lacking of renew/reconfigure mechanism.   The deficiency
becomes more conspicuous when IPv6 address renumbering is under 
consideration.
This is also the motivation of the draft.

> that everything is a nail :-)...
Frank=>In WiMAX,  RADIUS is used for prefix managment.  Diameter will
be used eventually.    This is a real requirment not an academic argument.

---

From: "Glen Zorn" <[email-masked]>
Date: Mon, 16 Jun 2008 23:39:20 +0700

...

> solution, such as lacking of renew/reconfigure mechanism.   

Actually, that doesn't concern me at all: DHCP seems to work just fine.

> The
> deficiency

I just get the feeling that the only reason that Diameter is being
considered is that it's handy, not because this actually has anything to do
with AAA.

> > The question isn't whether renumbering is a problem, it's if Diameter
> is
> > the
> > right solution to that problem.  Just because you have a hammer
> doesn't
> > mean
> Frank=>In WiMAX,  RADIUS is used for prefix managment.  

I haven't been paying much attention to WiMAX lately but if that's the case
then certainly the same (I was going to say 'lame' here but since I don't
really know what it is I'll restrain myself ;-) method can be used with
Diameter.

> Diameter will be used eventually.    

I suppose that tools are inevitably misused.  The IETF doesn't have to
approve the misuse, though.

...